Get change
curl --request GET \
--url https://api.mesa.dev/v1/{org}/{repo}/changes/{change_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mesa.dev/v1/{org}/{repo}/changes/{change_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mesa.dev/v1/{org}/{repo}/changes/{change_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"current_commit_oid": "<string>",
"is_conflicted": true,
"message": "<string>",
"author": {
"name": "<string>",
"email": "jsmith@example.com",
"date": "2023-11-07T05:31:56Z"
},
"committer": {
"name": "<string>",
"email": "jsmith@example.com",
"date": "2023-11-07T05:31:56Z"
},
"parents": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"files": [
"<string>"
],
"conflicts": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}Change
Get change
Retrieve a specific change by its JJ change id
GET
/
{org}
/
{repo}
/
changes
/
{change_id}
Get change
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization slug
Minimum string length:
1Repository name
Minimum string length:
1Pattern:
^[zyxwvutsrqponmlk]{32}$Response
Change
Pattern:
^[zyxwvutsrqponmlk]{32}$Pattern:
^[0-9a-f]{40}$True when the change current commit still contains unresolved conflicts
Current change description. Empty string means the change has no description.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Parent change IDs for this change
⌘I

